Unverified Commit fec0e492 authored by Bernhard Schuster's avatar Bernhard Schuster Committed by GitHub
Browse files

introduce errors with info (#1834)

parent 56492295
Pipeline #112040 passed with stages
in 26 minutes and 36 seconds
......@@ -224,32 +224,18 @@ dependencies = [
"futures-core",
]
[[package]]
name = "async-executor"
version = "0.1.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "90f47c78ea98277cb1f5e6f60ba4fc762f5eafe9f6511bc2f7dfd8b75c225650"
dependencies = [
"async-io 0.1.5",
"futures-lite 0.1.10",
"multitask",
"parking 1.0.5",
"scoped-tls",
"waker-fn",
]
[[package]]
name = "async-executor"
version = "1.3.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d373d78ded7d0b3fa8039375718cde0aace493f2e34fb60f51cbf567562ca801"
dependencies = [
"async-task 4.0.3",
"async-task",
"concurrent-queue",
"fastrand",
"futures-lite 1.11.2",
"futures-lite",
"once_cell 1.4.1",
"vec-arena 1.0.0",
"vec-arena",
]
[[package]]
......@@ -258,31 +244,13 @@ version = "1.4.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "124ac8c265e407641c3362b8f4d39cdb4e243885b71eef087be27199790f5a3a"
dependencies = [
"async-executor 1.3.0",
"async-io 1.1.0",
"futures-lite 1.11.2",
"async-executor",
"async-io",
"futures-lite",
"num_cpus",
"once_cell 1.4.1",
]
[[package]]
name = "async-io"
version = "0.1.5"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "ca8126ef9fb99355c6fd27575d691be4887b884137a5b6f48c2d961f13590c51"
dependencies = [
"cfg-if",
"concurrent-queue",
"futures-lite 0.1.10",
"libc",
"once_cell 1.4.1",
"parking 1.0.5",
"socket2",
"vec-arena 0.5.0",
"wepoll-sys-stjepang",
"winapi 0.3.9",
]
[[package]]
name = "async-io"
version = "1.1.0"
......@@ -292,14 +260,14 @@ dependencies = [
"cfg-if",
"concurrent-queue",
"fastrand",
"futures-lite 1.11.2",
"futures-lite",
"libc",
"log 0.4.11",
"once_cell 1.4.1",
"parking 2.0.0",
"parking",
"polling",
"socket2",
"vec-arena 1.0.0",
"vec-arena",
"waker-fn",
"wepoll-sys-stjepang",
"winapi 0.3.9",
......@@ -321,14 +289,14 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "a9fa76751505e8df1c7a77762f60486f60c71bbd9b8557f4da6ad47d083732ed"
dependencies = [
"async-global-executor",
"async-io 1.1.0",
"async-io",
"async-mutex",
"blocking 1.0.2",
"blocking",
"crossbeam-utils",
"futures-channel",
"futures-core",
"futures-io",
"futures-lite 1.11.2",
"futures-lite",
"gloo-timers",
"kv-log-macro",
"log 0.4.11",
......@@ -341,12 +309,6 @@ dependencies = [
"wasm-bindgen-futures",
]
[[package]]
name = "async-task"
version = "3.0.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "c17772156ef2829aadc587461c7753af20b7e8db1529bc66855add962a3b35d3"
[[package]]
name = "async-task"
version = "4.0.3"
......@@ -598,33 +560,6 @@ dependencies = [
"byte-tools",
]
[[package]]
name = "blocking"
version = "0.4.7"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d2468ff7bf85066b4a3678fede6fe66db31846d753ff0adfbfab2c6a6e81612b"
dependencies = [
"async-channel",
"atomic-waker",
"futures-lite 0.1.10",
"once_cell 1.4.1",
"parking 1.0.5",
"waker-fn",
]
[[package]]
name = "blocking"
version = "0.5.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "76e94bf99b692f54c9d05f97454d3faf11134523fe5b180564a3fb6ed63bcc0a"
dependencies = [
"async-channel",
"atomic-waker",
"futures-lite 0.1.10",
"once_cell 1.4.1",
"waker-fn",
]
[[package]]
name = "blocking"
version = "1.0.2"
......@@ -632,10 +567,10 @@ source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "c5e170dbede1f740736619b776d7251cb1b9095c435c34d8ca9f57fcd2f335e9"
dependencies = [
"async-channel",
"async-task 4.0.3",
"async-task",
"atomic-waker",
"fastrand",
"futures-lite 1.11.2",
"futures-lite",
"once_cell 1.4.1",
]
......@@ -1107,32 +1042,6 @@ version = "2.2.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "72aa14c04dfae8dd7d8a2b1cb7ca2152618cd01336dbfe704b8dcbf8d41dbd69"
[[package]]
name = "derive_more"
version = "0.14.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "6d944ac6003ed268757ef1ee686753b57efc5fcf0ebe7b64c9fc81e7e32ff839"
dependencies = [
"proc-macro2 0.4.30",
"quote 0.6.13",
"rustc_version",
"syn 0.15.44",
]
[[package]]
name = "derive_more"
version = "0.15.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "7a141330240c921ec6d074a3e188a7c7ef95668bb95e7d44fa0e5778ec2a7afe"
dependencies = [
"lazy_static",
"proc-macro2 0.4.30",
"quote 0.6.13",
"regex",
"rustc_version",
"syn 0.15.44",
]
[[package]]
name = "derive_more"
version = "0.99.11"
......@@ -1241,12 +1150,6 @@ version = "1.0.2"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "4c53dc3a653e0f64081026e4bf048d48fec9fce90c66e8326ca7292df0ff2d82"
[[package]]
name = "easy-parallel"
version = "3.1.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "1dd4afd79212583ff429b913ad6605242ed7eec277e950b1438f300748f948f4"
[[package]]
name = "ed25519"
version = "1.0.1"
......@@ -1448,15 +1351,16 @@ dependencies = [
[[package]]
name = "femme"
version = "2.1.0"
version = "2.1.1"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "7b6b21baebbed15551f2170010ca4101b9ed3fdc05822791c8bd4631840eab81"
checksum = "2af1a24f391a5a94d756db5092c6576aad494b88a71a5a36b20c67b63e0df034"
dependencies = [
"cfg-if",
"js-sys",
"log 0.4.11",
"serde",
"serde_derive",
"serde_json",
"wasm-bindgen",
"web-sys",
]
......@@ -1829,21 +1733,6 @@ version = "0.3.5"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "de27142b013a8e869c14957e6d2edeef89e97c289e69d042ee3a49acd8b51789"
[[package]]
name = "futures-lite"
version = "0.1.10"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "bbe71459749b2e8e66fb95df721b22fa08661ad384a0c5b519e11d3893b4692a"
dependencies = [
"fastrand",
"futures-core",
"futures-io",
"memchr",
"parking 1.0.5",
"pin-project-lite",
"waker-fn",
]
[[package]]
name = "futures-lite"
version = "1.11.2"
......@@ -1854,7 +1743,7 @@ dependencies = [
"futures-core",
"futures-io",
"memchr",
"parking 2.0.0",
"parking",
"pin-project-lite",
"waker-fn",
]
......@@ -3641,17 +3530,6 @@ dependencies = [
"unsigned-varint 0.4.0",
]
[[package]]
name = "multitask"
version = "0.2.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "c09c35271e7dcdb5f709779111f2c8e8ab8e06c1b587c1c6a9e179d865aaa5b4"
dependencies = [
"async-task 3.0.0",
"concurrent-queue",
"fastrand",
]
[[package]]
name = "nalgebra"
version = "0.18.1"
......@@ -4544,12 +4422,6 @@ dependencies = [
"url 2.1.1",
]
[[package]]
name = "parking"
version = "1.0.5"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "50d4a6da31f8144a32532fe38fe8fb439a6842e0ec633f0037f0144c14e7f907"
[[package]]
name = "parking"
version = "2.0.0"
......@@ -4784,25 +4656,18 @@ dependencies = [
"bitvec",
"env_logger 0.7.1",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"maplit",
"parity-scale-codec",
"parking_lot 0.11.0",
"polkadot-network-bridge",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sc-keystore",
"sc-network",
"smol 0.3.3",
"sp-application-crypto",
"sp-core",
"sp-keystore",
"streamunordered",
"tempfile",
]
......@@ -4811,16 +4676,12 @@ name = "polkadot-availability-distribution"
version = "0.1.0"
dependencies = [
"assert_matches",
"bitvec",
"derive_more 0.99.11",
"env_logger 0.7.1",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"parity-scale-codec",
"parking_lot 0.11.0",
"polkadot-erasure-coding",
"polkadot-network-bridge",
"polkadot-node-network-protocol",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
......@@ -4832,7 +4693,7 @@ dependencies = [
"sp-core",
"sp-keyring",
"sp-keystore",
"streamunordered",
"thiserror",
]
[[package]]
......@@ -4840,23 +4701,16 @@ name = "polkadot-cli"
version = "0.8.25"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.5",
"log 0.4.11",
"polkadot-service",
"sc-cli",
"sc-client-api",
"sc-client-db",
"sc-executor",
"sc-service",
"sc-tracing",
"sp-api",
"sp-core",
"sp-runtime",
"sp-trie",
"structopt",
"substrate-browser-utils",
"substrate-build-script-utils",
"tokio 0.2.21",
"wasm-bindgen",
"wasm-bindgen-futures",
]
......@@ -4866,22 +4720,19 @@ name = "polkadot-collator-protocol"
version = "0.1.0"
dependencies = [
"assert_matches",
"derive_more 0.99.11",
"env_logger 0.7.1",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"parity-scale-codec",
"polkadot-network-bridge",
"polkadot-node-network-protocol",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"smallvec 1.4.2",
"smol-timeout",
"sp-core",
"sp-keyring",
"thiserror",
]
[[package]]
......@@ -4898,12 +4749,12 @@ dependencies = [
name = "polkadot-erasure-coding"
version = "0.8.25"
dependencies = [
"derive_more 0.15.0",
"parity-scale-codec",
"polkadot-primitives",
"reed-solomon-erasure",
"sp-core",
"sp-trie",
"thiserror",
]
[[package]]
......@@ -4913,7 +4764,6 @@ dependencies = [
"assert_matches",
"async-trait",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"parity-scale-codec",
"parking_lot 0.10.2",
......@@ -4926,14 +4776,12 @@ dependencies = [
"sp-core",
"sp-keyring",
"sp-runtime",
"streamunordered",
]
[[package]]
name = "polkadot-node-collation-generation"
version = "0.1.0"
dependencies = [
"derive_more 0.99.11",
"futures 0.3.5",
"log 0.4.11",
"polkadot-erasure-coding",
......@@ -4943,6 +4791,7 @@ dependencies = [
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sp-core",
"thiserror",
]
[[package]]
......@@ -4950,7 +4799,6 @@ name = "polkadot-node-core-av-store"
version = "0.1.0"
dependencies = [
"assert_matches",
"derive_more 0.99.11",
"env_logger 0.7.1",
"futures 0.3.5",
"futures-timer 3.0.2",
......@@ -4967,6 +4815,7 @@ dependencies = [
"polkadot-primitives",
"smallvec 1.4.2",
"sp-core",
"thiserror",
]
[[package]]
......@@ -4975,7 +4824,6 @@ version = "0.1.0"
dependencies = [
"assert_matches",
"bitvec",
"derive_more 0.99.11",
"futures 0.3.5",
"log 0.4.11",
"polkadot-erasure-coding",
......@@ -4985,14 +4833,12 @@ dependencies = [
"polkadot-node-subsystem-util",
"polkadot-primitives",
"polkadot-statement-table",
"sc-client-api",
"sc-keystore",
"sp-api",
"sp-application-crypto",
"sp-blockchain",
"sp-core",
"sp-keyring",
"sp-keystore",
"thiserror",
]
[[package]]
......@@ -5000,13 +4846,13 @@ name = "polkadot-node-core-bitfield-signing"
version = "0.1.0"
dependencies = [
"bitvec",
"derive_more 0.99.11",
"futures 0.3.5",
"log 0.4.11",
"polkadot-node-subsystem",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sp-keystore",
"thiserror",
"wasm-timer",
]
......@@ -5014,7 +4860,6 @@ dependencies = [
name = "polkadot-node-core-candidate-selection"
version = "0.1.0"
dependencies = [
"derive_more 0.99.11",
"futures 0.3.5",
"log 0.4.11",
"polkadot-node-primitives",
......@@ -5022,6 +4867,7 @@ dependencies = [
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sp-core",
"thiserror",
]
[[package]]
......@@ -5029,7 +4875,6 @@ name = "polkadot-node-core-candidate-validation"
version = "0.1.0"
dependencies = [
"assert_matches",
"derive_more 0.99.11",
"futures 0.3.5",
"log 0.4.11",
"parity-scale-codec",
......@@ -5039,7 +4884,6 @@ dependencies = [
"polkadot-node-subsystem-util",
"polkadot-parachain",
"polkadot-primitives",
"sp-blockchain",
"sp-core",
"sp-keyring",
]
......@@ -5063,16 +4907,13 @@ name = "polkadot-node-core-proposer"
version = "0.1.0"
dependencies = [
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"parity-scale-codec",
"polkadot-node-subsystem",
"polkadot-overseer",
"polkadot-primitives",
"sc-basic-authorship",
"sc-block-builder",
"sc-client-api",
"sc-telemetry",
"sp-api",
"sp-blockchain",
"sp-consensus",
......@@ -5080,7 +4921,6 @@ dependencies = [
"sp-inherents",
"sp-runtime",
"sp-transaction-pool",
"tokio-executor 0.2.0-alpha.6",
"wasm-timer",
]
......@@ -5089,19 +4929,17 @@ name = "polkadot-node-core-provisioner"
version = "0.1.0"
dependencies = [
"bitvec",
"derive_more 0.99.11",
"futures 0.3.5",
"futures-timer 3.0.2",
"lazy_static",
"log 0.4.11",
"polkadot-node-subsystem",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sc-keystore",
"sp-application-crypto",
"sp-core",
"sp-keystore",
"tempfile",
"thiserror",
]
[[package]]
......@@ -5109,13 +4947,11 @@ name = "polkadot-node-core-runtime-api"
version = "0.1.0"
dependencies = [
"futures 0.3.5",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sp-api",
"sp-blockchain",
"sp-core",
]
......@@ -5127,8 +4963,6 @@ dependencies = [
"polkadot-node-primitives",
"polkadot-primitives",
"sc-network",
"sp-core",
"sp-runtime",
]
[[package]]
......@@ -5149,7 +4983,7 @@ version = "0.1.0"
dependencies = [
"assert_matches",
"async-trait",
"derive_more 0.99.11",
"derive_more",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
......@@ -5164,6 +4998,7 @@ dependencies = [
"sc-network",
"smallvec 1.4.2",
"sp-core",
"thiserror",
]
[[package]]
......@@ -5171,7 +5006,6 @@ name = "polkadot-node-subsystem-test-helpers"
version = "0.1.0"
dependencies = [
"async-trait",
"derive_more 0.99.11",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
......@@ -5195,7 +5029,6 @@ version = "0.1.0"
dependencies = [
"assert_matches",
"async-trait",
"derive_more 0.99.11",
"env_logger 0.7.1",
"futures 0.3.5",
"futures-timer 3.0.2",
......@@ -5207,14 +5040,13 @@ dependencies = [
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-primitives",
"polkadot-statement-table",
"sc-network",
"smallvec 1.4.2",
"sp-application-crypto",
"sp-core",
"sp-keystore",
"streamunordered",
"substrate-prometheus-endpoint",
"thiserror",
]
[[package]]
......@@ -5241,7 +5073,7 @@ dependencies = [
name = "polkadot-parachain"
version = "0.8.25"
dependencies = [
"derive_more 0.99.11",
"derive_more",
"futures 0.3.5",
"log 0.4.11",
"parity-scale-codec",
......@@ -5264,19 +5096,13 @@ version = "0.1.0"
dependencies = [
"assert_matches",
"futures 0.3.5",
"futures-timer 3.0.2",
"log 0.4.11",
"parity-scale-codec",
"parking_lot 0.10.2",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
"polkadot-node-subsystem-test-helpers",
"polkadot-node-subsystem-util",
"polkadot-primitives",
"sp-core",
"sp-runtime",
"streamunordered",
]
[[package]]
......@@ -5570,11 +5396,8 @@ dependencies = [
"arrayvec 0.5.1",
"assert_matches",
"futures 0.3.5",
"futures-timer 3.0.2",
"indexmap",
"log 0.4.11",
"parity-scale-codec",
"parking_lot 0.10.2",
"polkadot-node-network-protocol",
"polkadot-node-primitives",
"polkadot-node-subsystem",
......@@ -5586,9 +5409,7 @@ dependencies = [
"sp-core",
"sp-keyring",
"sp-keystore",
"sp-runtime",
"sp-staking",
"streamunordered",
]
[[package]]
......@@ -5736,7 +5557,6 @@ dependencies = [
name = "polkadot-validation"
version = "0.8.25"
dependencies = [
"derive_more 0.14.1",
"futures 0.3.5",
"log 0.4.11",
"parity-scale-codec",
......@@ -5758,6 +5578,7 @@ dependencies = [
"sp-transaction-pool",
"sp-trie",
"substrate-prometheus-endpoint",